crmsh-scripts-4.0.0+git.1552985860.56f2db3a-1.1.noarch.rpm


Advertisement

Description

crmsh-scripts - Crm Shell Cluster Scripts

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename crmsh-scripts-4.0.0+git.1552985860.56f2db3a-1.1.noarch.rpm
Package name crmsh-scripts
Package version 4.0.0+git.1552985860.56f2db3a
Package release 1.1
Package architecture noarch
Package type rpm
Category Productivity/Clustering/HA
Homepage http://crmsh.github.io
License GPL-2.0-or-later
Maintainer -
Download size 79.47 KB
Installed size 65.30 KB
Cluster scripts for crmsh. The cluster scripts can be run
directly from the crm command line, or used by user interfaces
like hawk to implement configuration wizards.

Alternatives

Package Version Architecture Repository
crmsh-scripts - - -

Requires

Name Value
/usr/bin/python3 -

Provides

Name Value
crmsh-scripts = 4.0.0+git.1552985860.56f2db3a-1.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package crmsh-scripts-4.0.0+git.1552985860.56f2db3a-1.1.noarch.rpm
Source Package crmsh-4.0.0+git.1552985860.56f2db3a-1.1.src.rpm

Install Howto

Install crmsh-scripts rpm package:

# zypper install crmsh-scripts

Files

Path
/usr/share/crmsh/scripts/
/usr/share/crmsh/scripts/apache/main.yml
/usr/share/crmsh/scripts/check-uptime/fetch.py
/usr/share/crmsh/scripts/check-uptime/main.yml
/usr/share/crmsh/scripts/check-uptime/report.py
/usr/share/crmsh/scripts/clvm/main.yml
/usr/share/crmsh/scripts/clvm-vg/main.yml
/usr/share/crmsh/scripts/database/main.yml
/usr/share/crmsh/scripts/db2/main.yml
/usr/share/crmsh/scripts/db2-hadr/main.yml
/usr/share/crmsh/scripts/drbd/main.yml
/usr/share/crmsh/scripts/exportfs/main.yml
/usr/share/crmsh/scripts/filesystem/main.yml
/usr/share/crmsh/scripts/gfs2/main.yml
/usr/share/crmsh/scripts/gfs2-base/main.yml
/usr/share/crmsh/scripts/haproxy/haproxy.cfg
/usr/share/crmsh/scripts/haproxy/main.yml
/usr/share/crmsh/scripts/health/collect.py
/usr/share/crmsh/scripts/health/hahealth.py
/usr/share/crmsh/scripts/health/main.yml
/usr/share/crmsh/scripts/health/report.py
/usr/share/crmsh/scripts/libvirt/main.yml
/usr/share/crmsh/scripts/lvm/main.yml
/usr/share/crmsh/scripts/lvm-drbd/main.yml
/usr/share/crmsh/scripts/mailto/main.yml
/usr/share/crmsh/scripts/nfsserver/main.yml
/usr/share/crmsh/scripts/nfsserver-lvm-drbd/main.yml
/usr/share/crmsh/scripts/nginx/main.yml
/usr/share/crmsh/scripts/ocfs2/main.yml
/usr/share/crmsh/scripts/oracle/main.yml
/usr/share/crmsh/scripts/raid-lvm/main.yml
/usr/share/crmsh/scripts/raid1/main.yml
/usr/share/crmsh/scripts/sap-as/main.yml
/usr/share/crmsh/scripts/sap-ci/main.yml
/usr/share/crmsh/scripts/sap-db/main.yml
/usr/share/crmsh/scripts/sap-simple-stack/main.yml
/usr/share/crmsh/scripts/sap-simple-stack-plus/main.yml
/usr/share/crmsh/scripts/sapdb/main.yml
/usr/share/crmsh/scripts/sapinstance/main.yml
/usr/share/crmsh/scripts/sbd/main.yml
/usr/share/crmsh/scripts/sbd-device/main.yml
/usr/share/crmsh/scripts/virtual-ip/main.yml
/usr/share/crmsh/scripts/vmware/main.yml

Changelog

2019-03-21 - XLiang@suse.com
- Update to version 4.0.0+git.1552985860.56f2db3a:
* Fix: bsc#1129719: check command and related files exist
* High: constants: add "promotable", "promoted-max" and "promoted-node-max" in clone meta attributes
* Fix: cibconfig: #425 The ID attribute is not required for select and select_attributes
* medium: scripts: Set kind for order constraints, not score (bsc#1123187)
* low: utils: add support for dpkg
* low: utils: add support for apt-get
* low: utils: convert string contstants to bytes
* Fix: bsc#1120857,1120856 bootstrap warning messages should better start with like "WARNING:" instead of "!"
* Fix: bsc#1120554, bsc#1120555 crmsh crashed when using configure>template>apply
* High: hbreport: fix UnicodeEncodeError while print(bsc#1093564)
2019-02-06 - kgronlund@suse.com
- Avoid touching files to make build more reproducible
- Install bash completion to correct location
2018-12-06 - kgronlund@suse.com
- Update to version 4.0.0+git.1543873923.0f9166fd:
* medium: cibverify: Increase log level for verification (bsc#1116559)
2018-11-14 - kgronlund@suse.com
- Update to version 4.0.0+git.1542103310.dd114188:
* high: cibconfig: Normalize - to _ in param names (bsc#1111579)
* medium: ra: Handle obsoletes attribute (bsc#1111579)
2018-11-01 - kgronlund@suse.com
- Update to version 4.0.0+git.1540390310.315a48ed:
* ui_cluster: restart cluster is added (bsc#1052088)
* auto-commit enabling/disabling maintenance mode for a whole cluster (bsc#1112593)
2018-10-08 - kgronlund@suse.com
- Update to version 4.0.0+git.1539006450.f80a6308:
* medium: bootstrap: Skip netmask check on GCP (bsc#1106946)
* medium: utils: Detect local IP on GCP (bsc#1106946)
2018-10-02 - kgronlund@suse.com
- Update to version 4.0.0+git.1538492109.4b1170b0:
* medium: bootstrap: Correctly check rrp_mode flag (bsc#1110463)
* medium: bootstrap: Pick first match for multiple routes (bsc#1106946)
* medium: utils: Use cloud metadata service to discover IP (bsc#1106946)
* Fix: bootstrap: change default ip address way for both mcast and unicat(bsc#1109975,bsc#1109974)
2018-09-26 - kgronlund@suse.com
- Update to version 4.0.0+git.1537967262.68a0bd1e:
* Fix incorrect bindnetaddr in corosync.conf (bsc#1103833) (bsc#1103834)
2018-09-25 - kgronlund@suse.com
- Update to version 4.0.0+git.1537860833.be41d63c:
* fix: bootstrap: non interactive unicast cluster init and join(bsc#1109172)
* medium: bootstrap: Disable strict host key checking on all ssh invocations
* medium: support ocfs2 log collecting
* hbreport: process name change for pacemaker 2.0(bsc#1106052)
* Fix: bootstrap: "-i" option doesn't work(bsc#1103833, bsc#1103834)
* Low: bootstrap: No warning message when using '-q'
* high: ra: Support Pacemaker 2.0 daemon names
* high: config: Locate pacemaker daemons more intelligently (#67) (bsc#1096783)
* Fix: TypeError in logparser.py(bsc#1093433)
2018-08-14 - kgronlund@suse.com
- Always require python3-parallax (bsc#1103832)

See Also

Package Description
crmsh-test-4.0.0+git.1552985860.56f2db3a-1.1.noarch.rpm Test package for crmsh
cron-4.2-74.1.i586.rpm Auxiliary package
cron-4.2-74.1.x86_64.rpm Auxiliary package
cronic-3-1.6.noarch.rpm A cure for Cron's chronic email problem
cronie-1.5.4-74.1.i586.rpm Cron Daemon
cronie-1.5.4-74.1.x86_64.rpm Cron Daemon
cronie-anacron-1.5.4-74.1.i586.rpm Utility for running regular jobs
cronie-anacron-1.5.4-74.1.x86_64.rpm Utility for running regular jobs
cross-aarch64-binutils-2.32-5.1.i586.rpm GNU Binutils
cross-aarch64-binutils-2.32-5.1.x86_64.rpm GNU Binutils
cross-aarch64-gcc7-7.4.1+r270528-1.1.x86_64.rpm The GNU C Compiler and Support Files
cross-aarch64-gcc7-icecream-backend-7.4.1+r270528-1.1.x86_64.rpm Icecream backend for the GNU C Compiler
cross-aarch64-gcc8-8.3.1+r269200-1.1.x86_64.rpm The GNU C Compiler and Support Files
cross-aarch64-gcc8-icecream-backend-8.3.1+r269200-1.1.x86_64.rpm Icecream backend for the GNU C Compiler
cross-arm-binutils-2.32-5.1.i586.rpm GNU Binutils
Advertisement
Advertisement